package com.yidianling.im.session.extension;

import com.alibaba.fastjson.JSONObject;

/**
 * @author huozhiliang
 * @描述:
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2020/12/14
 */
public class CustomAttachmentJumpToDaoYi extends CustomAttachment{
    private String DESC = "desc";
    public String desc; //显示内容
    CustomAttachmentJumpToDaoYi() {
        super(CustomAttachmentType.TYPE_JUMPTO_DAOYI);
    }

    @Override
    protected void parseData(JSONObject data) {
        desc = data.getString(DESC);
    }

    @Override
    protected JSONObject packData() {
        JSONObject data = new JSONObject();
        data.put(DESC, desc);
        return data;
    }
}
